// -----------------------------------------------------------------------------
// GENERAL
// -----------------------------------------------------------------------------


// -----------------------------------------------------------------------------
// HERO
// -----------------------------------------------------------------------------

.hero-bg {
  height: 600px;
  @include bp(phone) {
    height: 550px;
  }
}

.our-cont{
  .our-text{
    .title{
      font-size: 30px;
      letter-spacing: .15em;
      text-transform: uppercase;
      color: $white;
      font-weight: 500;
      margin-bottom: 11px;
      @include bp(tablet) {
        font-size: 46px;
      }
      @include bp(desk) {
        font-size: 56px;
      }
    }
  }
}

.txt-container--break-long-word {
  word-break: break-word;
  word-wrap: break-word;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
}

.hero-cont {
  height: 485px;
  position: absolute;
  width: 100%;
  top: 65px;
  @include bp(tablet) {
    top: 115px;
  }
	.hero-text {
		position: absolute;
		top: 50%;
		left: 50%;
		width: calc(100% - 20px);
		transform: translateY(-50%) translateX(-50%);
    text-align: center;
    @include bp(tablet) {
      width: calc(100% - 80px);
    }
		.title {
      font-size: 30px;
      letter-spacing: .15em;
      text-transform: uppercase;
      color: $white;
      font-weight: 500;
      margin-bottom: 11px;
      @include bp(tablet) {
        font-size: 46px;
      }
      @include bp(desk) {
        font-size: 56px;
      }
    }
    .lead {
      font-size: 18px;
      font-weight: 300;
      line-height: 1.6;
      letter-spacing: -0.02em;
      color: $white;
      @include bp(tablet) {
        font-size: 21px;
      }
    }
    .phone{
      font-size: 18px;
      font-weight: 300;
      line-height: 1.6;
      letter-spacing: -0.02em;
      color: $turquoise;
      @include bp(tablet) {
        font-size: 21px;
      }
    }
    .form-cont {
      width: 100%;
      margin: 0 auto;
      @include bp(tablet) {
        .col-sm-5 {
          padding-right: 5px;
          padding-left: 5px;
        }
        .col-sm-2 {
          padding-left: 0;
        }
      }
      @include bp(desk) {
        width: 100%;
      }
      .form-group {
        margin-bottom: 0;
        input {
          height: 50px;
          font-size: 18px;
          background: $white;
          border: none;
          @include bp(tablet) {
            height: 70px;
            font-size: 24px;
          }
        }
      }
      .bootstrap-select {
        width: 100%;
        .dropdown-toggle {
          height: 50px;
          font-size: 18px;
          @include bp(tablet) {
            height: 70px;
            font-size: 24px;
          }
        }
        .caret {
          border-top-width: 7px;
          border-right-width: 7px;
          border-left-width: 7px;
        }
      }
      .submit-landing {
        width: 100%;
        height: 70px;
        border: none;
        background-color: $green;
        color: $white;
        height: 50px;
        font-size: 18px;
        font-weight: 700;
        padding: 0;
        @include bp(tablet) {
          height: 70px;
          font-size: 24px;
        }
      }
    }
	}
}

// -----------------------------------------------------------------------------
// HOW IT WORKS
// -----------------------------------------------------------------------------
.how-works {
  .item {
    &:hover {
      .item-icon {
        width: 95px;
      }
      p {
        background-color: $turquoise;
        color: $white;
      }
    }
    .item-icon {
      transition: all 0.4s ease;
      width: 65px;
      margin: 24px 0;
      display: inline-block;
    }
    p {
      transition: all 0.4s ease;
      padding: 10px;
    }
  }
  .lead {
    transition: all 0.4s ease;
    &.active {
      text-decoration: underline;
    }
  }

  .iconlist li {
    text-align: left;
    padding-left: 45px;
  }

  .iconlist > li > .icon {
    margin-left: -40px;
  }
}

// -----------------------------------------------------------------------------
// TYPES
// -----------------------------------------------------------------------------
.massage-type {
  cursor: pointer;
  &:hover {
    text-decoration: underline;
  }
}

// -----------------------------------------------------------------------------
// PRICING
// -----------------------------------------------------------------------------

.pricing-table {
  @include bp(tablet) {
    .col:not(:first-child) {
      .pricing-item {
        position: relative;
        &:before {
          content: "";
          background-color: $gray;
          width: 1px;
          height: 80%;
          position: absolute;
          left: 0;
          top: 10%;
        }
      }
    }
  }
}

.pricing-price {
  font-size: 78px;
  margin: 0;
  font-weight: 700;
  &:after {
    content: "min";
    font-size: 24px;
    font-weight: 100;
    color: $turquoise;
    margin-left: 5px;
  }
}

.pricing-prenatal {
  font-size: 60px;
  margin: 0;
  font-weight: 700;
}

.panel-group {
  .panel-heading {
    a {
      font-weight: 600;
      color: $turquoise;
      font-size: 1.5em;
    }
  }
  .panel-body {
    font-size: 1.2em;
    color: $light-black;
  }
}

.pricing-select {
  .bootstrap-select {
    border: 1px solid $turquoise;
    .dropdown-toggle {
      color: $light-black !important;
    }
    .dropdown-menu {
      top: 103%;
      li {
        border-left: 2px solid #eaeaea;
        &:hover {
          border-left: 2px solid rgba(101, 181, 168, 0.5);
        }
        &.selected {
          border-left: 2px solid $green;
        }
        &:first-child,
        &:first-child:hover {
          border-left: 2px solid #eaeaea;
        }
      }
    }
  }
}

// -----------------------------------------------------------------------------
// FOOTER
// -----------------------------------------------------------------------------
.app-block-footer {
  background-color: rgb(27, 28, 29);
  color: #444;
  color: rgba(116, 119, 123, .5);
  h6 {
    color: #adadad;
  }
}
